digiKam 5.1.0 - Release date: 2016-08-07

*****************************************************************************************************
NEW FEATURES:

Imgur   : Remove libqtkoauth dependency

General : Integrate liboauth2. First tool to use it is Imgur.
General : Fix broken Windows 64bits installer due to mix with 32 bits dlls.
General : Internal Libraw updated to 0.18.0 beta (201604). New lead cameras supported:
          Canon 80D, 1300D, 1DX MkII
          Fujifilm X-Pro2, X70, X-E2S
          HTC One A9 and M9
          Leica M and X-U
          Nikon D5
          Olympus Pen F, SH-3
          Panasonic DMC-GX80/85, DMC-TZ80/81/85/ZS60, DMC-TZ100/101/ZS100
          PhaseOne IQ150, IQ180 IR, IQ3
          Samsung Galaxy S7
          Sony ILCA-68, ILCE-6300, RX1R II, RX10 III

Database: Consolidation of Mysql database backend.
Database: Startup up time improved. Scan for new items is always differed after that main gui is displayed.
Database: New option "Scan for new item at startup" option to optimize database initialization time.

*****************************************************************************************************
BUGFIXES:

001 --> 289680 - ICCProfile wastes a lot of memory (high memory footprint on startup).
002 --> 308063 - Sort images by file names is not always correct.
003 --> 358539 - Can't use tags for real filtering: tag1 OR tag2 OR tag3 => all in query result = "at least one of tags 1-2-3".
004 --> 360954 - No spell checking when entering Tags.
005 --> 303848 - BQM LensCorrection tool : doesn't work when 'use metadata' option is turned on.
006 --> 364206 - Crash when moving images outside digiKam.
007 --> 355212 - Crash While editing and playback.
008 --> 313523 - While move images from one folder to other there is an error report and the image is delete.
009 --> 215558 - Leaving the "THEME" area caused fatel error sig 11 sigsegv Then it crashed.
010 --> 218765 - Drag digiKam photo to thunderbird 3.0 email attachment section.
011 --> 227123 - digiKam crashes when deleting pictures from camera.
012 --> 195448 - Random system hangs when handling RAW images in digiKam.
013 --> 211009 - digiKam batch raw converter.
014 --> 213916 - digiKam crashed when building the collection.
015 --> 218987 - After several days idle, digiKam crashed during closing.
016 --> 214874 - Picture download from cf-card.
017 --> 215021 - Crash importing photos from SD card into digiKam.
018 --> 215648 - When I try to import the pictures from Memory Card to My compiture digiKam crashed.
019 --> 215854 - Download pictures to hd in digiKam.
020 --> 217532 - Crash while using Download Photos with digiKam link from Device Notifier.
021 --> 362108 - Crash when moving images to newly created album.
022 --> 354074 - Can't load most of pictures without further error messages or additional information.
023 --> 361317 - digiKam crash when using face recognition.
024 --> 343015 - When crop an raw image there appears a black bam on the right.
025 --> 352955 - digiKam crashes when I start the geolocation.
026 --> 359817 - digiKam crashed while scanning faces.
027 --> 336979 - digiKam crash during facial recognition when closed before finished.
028 --> 337898 - Pictures imported from camera are not available in folder.
029 --> 345106 - Crash while saving.
030 --> 327961 - digiKam crash at video playing.
031 --> 307183 - Advanced Slideshow turns completely white (Open GL Transitions enabled).
032 --> 279969 - digiKam crash after closing the extended slideshow.
033 --> 348229 - Crash if I try to show slideshow in second VGA display.
034 --> 348484 - Extreme long saving times for settings.
035 --> 330133 - Crash during workflow in exporting jpeg from raw cr2.
036 --> 315137 - Wired color conversion with multi exposure photos.
037 --> 255137 - Some exif metadata are lost when converting CR2 to DNG.
038 --> 235683 - Metadata invalid when converting CRW
039 --> 245582 - When you try to save the blended image it will some times say can not save jpg such and such.
040 --> 262165 - Error message when saving image in exposure blending dialogue.
041 --> 365079 - digiKam 5.0 beta 7 crashes while showing the splash image.
042 --> 266778 - Unable to save blended image - Incompatible pixel type.
043 --> 180750 - MetadataEdit : no warning when file is read-only.
044 --> 224583 - MetadataEdit writes invalid EXIF data to image.
045 --> 201960 - Slideshow will not play mp3.
046 --> 269339 - Advanced Slideshow greyed out.
047 --> 170141 - Printer can't print when six columns in the calendar.
048 --> 140982 - Slideshow is blurry/pixelated if opengl transitions are enabled.
049 --> 238598 - Advanced Slideshow Dialog too big for screen.
050 --> 299356 - Some pictures not editable in Image Editor as menu bar is not showing.
051 --> 365125 - Win64 version cannot start.
052 --> 365229 - Crash during close of digiKam5.
053 --> 302794 - Saving configuration takes 4-5 minutes.
054 --> 329976 - SCAN : digiKam does not update database after picture renaming.
055 --> 304959 - Advanced slideshow.
056 --> 299828 - Changing folder on digiKam.
057 --> 304733 - Crash after import new folder from USB-stick or after closing digiKam.
058 --> 212457 - Crash after performing batch operation on JPG images.
059 --> 313500 - Crash during modify of a picture.
060 --> 285808 - Crash at startup (probably related to scan corrupted NEF images).
061 --> 300808 - Crash while importing pictures.
062 --> 313966 - Crash when applying geolocation.
063 --> 217631 - Crashed when I tried to upload from camera. First time user.
064 --> 290966 - digiKam crashes after loading AVI file from Canon IXUS 75.
065 --> 307690 - digiKam crashed adding files to collection.
066 --> 240318 - digiKam crashes on mov.
067 --> 298547 - digikam crashes, if pics of collections are changed externally.
068 --> 223177 - digiKam crashes when selecting a picture immediately after showing slideshow.
069 --> 300463 - digiKam crashing after opening, possibly related to prior GIMP crash.
070 --> 234746 - digiKam crashes while looking a film in HD format .avi.
071 --> 333508 - Crash in digiKam::digiKamApp::slotRebuildAlbumThumbnails.
072 --> 328239 - Image scanning.
073 --> 329507 - Rename attempts leads digiKam to crash.
074 --> 282188 - Crash digiKam when I crop image and "save as"...
075 --> 297835 - digiKam crashes when starting.
076 --> 324956 - Opening digiKam on Ubuntu 13.04 system.
077 --> 234307 - Segfault trying to delete an image.
078 --> 335937 - Crash on start-up due to user resource limitations set in PAM configuration.
079 --> 305054 - Crash digiKam when selecting newly imported albums.
080 --> 262843 - digiKam crashes at opening openSuse 11.2.
081 --> 314235 - Crash on startup.
082 --> 330534 - Just crashed when updating database.
083 --> 279438 - Crash when hovering over image.
084 --> 311745 - Crash on importing.
085 --> 215500 - Crash one camera download commences.
086 --> 332762 - Crash when update.
087 --> 324930 - Crashed updating thumbnails (fast).
088 --> 257084 - digiKam crashed during renaming all images in album.
089 --> 272348 - digiKam crashed when tagging multiple pictures.
090 --> 232429 - Crash while tagging 800+ raw files.
091 --> 286961 - digiKam crashed during disk scanning (importing album).
092 --> 283355 - digiKam crashed while tagging an image with shortcut keys.
093 --> 246660 - digiKam crashes when changed from a picture to a wmv movie.
094 --> 278936 - digiKam crashes when I was tagging images.
095 --> 333937 - digiKam crashes when watching videos.
096 --> 264072 - digiKam crashes while searching for duplicates.
097 --> 330959 - digiKam crashing when play video.
098 --> 336275 - digiKam crashes upon simple operations.
099 --> 308827 - digiKam showed error after closing.
100 --> 274863 - digiKam crashes on close of application.
101 --> 217588 - digiKam crashes on exit.
102 --> 297320 - digiKam crashed after I had imported photos from my camera. I shut off the camera and it crashed.
103 --> 343161 - Diaporama not in full screen.
104 --> 234850 - Enter edit mode, crop jpeg photo, go to Save As, select directory, change type to TIFF, program crashes.
105 --> 195610 - Memory leak in image editor.
106 --> 304603 - digiKam crashed after adding a lot of pictures.
107 --> 306431 - digiKam crashes when indexing pictures on hard drive.
108 --> 254879 - Crash upon import of Collection.
109 --> 365319 - Immediate crash at program start.
110 --> 365135 - digiKam 5 fails to build with DIGIKAMSC_COMPILE_DOC=on.
111 --> 243373 - Image corruption after crash.
112 --> 284261 - digiKam hangs on startup.
113 --> 241193 - digiKam crashes when quitting.
114 --> 304288 - Crash at shutdown.
115 --> 306163 - digiKam crash.
116 --> 308268 - digiKam crashes during startup.
117 --> 362595 - It crashes on startup.
118 --> 209416 - digiKam slows during slide show, then crashes.
119 --> 291053 - ccmake claims qt compiled without -fvisibility=hidden.
120 --> 301026 - When working simultaneously in different branches, closing of one leads to wrong error message.
121 --> 344259 - Extend queues to work with any operation on multiple images from multiple albums.
122 --> 365375 - Open with... ignores parameters of Exec line in Desktop Entry.
123 --> 365302 - Deleted tag still present in database.
124 --> 365410 - Fullscreen only shows one image - no way to navigate.
125 --> 303546 - MYSQL : re-read metadata from images is very slow.
126 --> 365202 - External MySQL database faces update segfault [patch].
127 --> 351111 - Segmentation fault crash.
128 --> 330342 - digiKam crash with faces recognition.
129 --> 326586 - When validating a face marker digikam crash.
130 --> 326742 - Scanning for faces crashes.
131 --> 324774 - Adding tag or deleting tag in "unknown" folder causes crash.
132 --> 326585 - digiKam crash when rotate a picture, then enlarge face marker and confirm change.
133 --> 309027 - Face detection.
134 --> 320812 - digiKam crashed on cancelling face scan.
135 --> 312440 - Facial Detection.
136 --> 295097 - digiKam crash.
137 --> 301611 - digiKam crashes during facial scan.
138 --> 268263 - Crash when identyfing faces from Unknown People group.
139 --> 279033 - Crash while scanning faces and assigning tags to unknown faces.
140 --> 340613 - Hanging indefinitely when clicking in the name field of a face.
141 --> 279327 - "Click to reject" with several photos selected => Crash.
142 --> 339319 - digiKam crashes at startup.
143 --> 306821 - When finishing digiKam, program crashes.
144 --> 360534 - digiKam crashes every time I try to start Editor.
145 --> 338516 - digiKam crash when image are downloaded from camera.
146 --> 318242 - Deleting a tag crashes digiKam.
147 --> 274179 - Crash after start of image thumbprinting.
148 --> 275578 - Error while to init digiKam under ubuntu natty i386.
149 --> 268255 - Crash when opening album.
150 --> 273374 - digiKam crashes when trying to write metadata to all images.
151 --> 220769 - Crashes during scanning albums.
152 --> 308712 - Geolocation window corrupts XMP files.
153 --> 171515 - Shutter Speed Value is not displayed correctly when greater than 1s.
154 --> 235458 - Metadata parsing of multiple hierarchical subjects fails.
155 --> 196228 - EXIF Information reported as Unavailable.
156 --> 188323 - EXIF photograph information is lost after image transformations.
157 --> 245887 - Howto build digikam under 64bit.
158 --> 203081 - Can't open Images hosted under NTFS.
159 --> 297964 - FTBFS on armel and armhf due to not maintaining proper distinctions between double and qreal.
160 --> 203593 - Initial workflow, selecting images to delete.
161 --> 332969 - EXCEPTION_ACCESS_VIOLATION while going through raw pictures.
162 --> 346321 - Crash when I add new Key words and confirm the completed Keyword by Pressing "Enter".
163 --> 262646 - I can NOT copy pics _from_ DK _to_ some directory - DK-integration questioned?
164 --> 361336 - Moving thumb to other album does not delete original after copy (drag + drop).
165 --> 182534 - digiKam does not remember its location with session management.
166 --> 287471 - Abums context doesn't refresh after moving files.
167 --> 299957 - Shift-selecting images in the album GUI exhibits glitches.
168 --> 299524 - Applying settings to multiple selected files makes changes to the wrong files.
169 --> 291309 - Album content not updated when deleting next album.
170 --> 319892 - Cnnot delete selected files in album view.
171 --> 346433 - There are no thumb previews anymore - worst case scenario.
172 --> 156187 - Show album name and comments even when empty.
173 --> 141940 - Image selection bugs (multiple and single selections).
174 --> 195891 - Failed when using "Date-based sub-albums".
175 --> 152615 - Changing viewport of Album when opening panels.
176 --> 239938 - Tags view doesn't show all images with that tag.
177 --> 241799 - digiKam: marked images makes scrolling slow.
178 --> 162809 - Bad names chosen in rename dialog at copy operations when duplicate files are found.
179 --> 245678 - Pick correct date from selected pictures when creating a new album.
180 --> 238527 - Russian tags wrong after batch recompression.
181 --> 333555 - digiKam crashed while exporting photos.
182 --> 328577 - Crash when edition with auto adjust in batch manager.
183 --> 365631 - Right tabs not visible (only geolocation).
184 --> 251060 - digiKam crash in Color Management.
185 --> 187751 - Raw developer gives strange colours when using camera profiles.
186 --> 269627 - Mismatch between Before and After.
187 --> 255553 - Batch Color Space Converter Doesn't Work On 16bit TIF Files.
188 --> 345201 - Progress disappears in export.
189 --> 146964 - Sort order by date sometimes wrong, if pictures have exactly the same timestamp.
190 --> 262075 - Thumbnail size slider label is not transparent.
191 --> 267679 - digiKam shows no photos.
192 --> 351603 - Splash screen hangs and disappears when loading network albums.
193 --> 300307 - digiKam processing time very long.
194 --> 282749 - Signaal Segmentation fault (11) on exit/close/quit digiKam.
195 --> 231849 - digikam wakes up 107 times per second (powertop).
196 --> 272522 - digiKam cannot compile from source code.
197 --> 221245 - Opening a picture with showfoto does not show any of the other pictures in the folder.
198 --> 113330 - Remote control support (lirc).
199 --> 311771 - Bad symbolic link / symlink / soft link handling.
200 --> 308699 - Geotagged image does not show in preview window.
201 --> 150009 - Large print is sent to printer but is taking hours to print - when opening with gimp->print then no problems.
202 --> 334160 - Wrong colors when importing CR2 with custom camera profile.
203 --> 324644 - FILEIO : cannot save file when an image is open in ADOBE colour space and transferring to sRGB colour space.
204 --> 272347 - digiKam image editor does not flash the menu on GNOME 3 desktop.
205 --> 313390 - RAW images cannot be decoded if selected from within the image editor.
206 --> 318599 - Edited files RAW to JPG have wrong EOF.
207 --> 191722 - Too aggressive caching in image editor.
208 --> 211678 - Moving the slider in the editor causes starting the edit process.
209 --> 195332 - digiKam raw import leaves blank instead of showing picture.
210 --> 248942 - Memory leak when using digikam Editor for Brightness/Contrast/Gamma.
211 --> 255335 - Image Editor gives option to Move selected file to trash but doesn't do anything.
212 --> 220626 - Cannot copy nor save images to NAS (DNS-323).
213 --> 166417 - Cannot display GeoTiff images.
214 --> 241728 - Aspect ratio crop image view.
215 --> 152400 - Wish: Simple virtual resize and crop tool.
216 --> 243915 - digiKam uses all memory and hangs when importing a directory from the hard drive with a large image.
217 --> 268920 - Crash at opening digiKam for photos from Device Notifier.
218 --> 300838 - AMD64 digiKam segfault on import.
219 --> 333095 - digiKam crashes when importing large numbers of additional pics.
220 --> 247295 - digiKam crashed while trying to copy photos from mobile-phone.
221 --> 332482 - Crash on right click on import from nikon.
222 --> 253506 - Crashes at downloading from mass storage.
223 --> 268831 - Interrupted-restarted import results in empty file.
224 --> 298429 - Import from N900 crashes when thumbnails is about to show.
225 --> 303170 - Auto-rotate should be loss-less while importing.
226 --> 153716 - digiKam does not work with Olympus C-170 CAMEDIA camera.*
227 --> 149635 - digiKam - Camera - Kodak C310 - Shows images but cannot delete/transfer.
228 --> 198233 - Cannot connect to Kodak CX7300 with digiKam.
229 --> 263560 - Seagate CompactFlash Photo Hard drive shows no pictures when import is attempted.
230 --> 116904 - Connection to camera lost after download + delete of pictures.
231 --> 162592 - Communication error with digital camera.
232 --> 167284 - Auto rotate causes zero file sizes when using network shares (CIFS).
233 --> 152417 - digiKam recognise Rollei dr5 automatically but doesn't connect it.
234 --> 219655 - Can't import photos from memory cards.
235 --> 155825 - Failed to connect Kodak C340.
236 --> 155602 - I have to re detect each time my canon S3IS.
237 --> 165829 - Failed photos during download are not consistent with actual file.
238 --> 310308 - digiKam crashes on import from connected Camera (detected cam and manually selected cam).
239 --> 221887 - digiKam leaves behind a cifsxxxx file for each image imported from a camera on CIFS mounted volume.
240 --> 186574 - Directly download and preview shot.
241 --> 359853 - Crash on mainterance with big album.
242 --> 332437 - digikam crashed when I use the "mantainance".
243 --> 349452 - Maintenance, all albums, all keywords, review previews: process is very slowly, hangs forever, does not finish.
244 --> 252822 - Repaint error of the toolbar in preview mode while showing a movie.
245 --> 309847 - Caching of next image stopped working.
246 --> 321755 - Fit to window after rescaling does not work properly.
247 --> 197396 - the screen becomes blank as soon as you click on a picture or select view from the menu. the thumbnail is visible but picture is not.
248 --> 254483 - Fresh installed digiKam crashes when building fingerprints.
249 --> 209000 - More options when converting raws.
250 --> 295523 - Canon Powershot S100 RAW improperly treated.
251 --> 279255 - White balance method "camera" does not use the camera's values.
252 --> 225660 - digiKam - Advanced Search - wrong results.
253 --> 180035 - Allow to search within past saved searches.
254 --> 316607 - Crash while updating fingerprints.
255 --> 332375 - Duplicates search.
256 --> 322828 - digiKam stop to work.
257 --> 327354 - Crashes when rebuilding Finger-Prints.
258 --> 190114 - Usability sort images using exif information (e.g. focal).
259 --> 182128 - Duplicates search results don't refresh unless search re-run.
260 --> 161922 - Calendar view/digikam date does not update when exif dates changed externally.
261 --> 190044 - Calendar uses (sometimes ?) 'last access' date instead of exif date.
262 --> 228139 - Showfoto "open folder" crashes on NFS share.
263 --> 314547 - ShowFoto: _XIOError in QSplashScreen::finish.
264 --> 344631 - Crash when closing digikam.
265 --> 296594 - After I do a BW conversion on color photo, and then "Save As", the image save progress stays at zero.
266 --> 357427 - Showfoto just works in partial execution.
267 --> 345944 - Crash when saving.
268 --> 256361 - SlideShow use low resolution previews instead of full resolution images.
269 --> 170611 - Slideshow: ordering by exif date not correct.
270 --> 359880 - Crash when I try to send several files into trash from the main window (table view).
271 --> 284175 - digiKam crash closing application.
272 --> 266593 - Wrong thumbnails with new camera.
273 --> 261717 - Album previews loosen.
274 --> 259774 - Thumbnail slider is 0 at startup.
275 --> 262601 - digiKam crashes on close.
276 --> 275009 - digiKam crashes after building up thumbnails.
277 --> 302663 - Thumbnails are often shown empty.
278 --> 221114 - Wwhite stripes shown for some thumbnails in the album view.
279 --> 320253 - Crash on thumb generation, large tiff's.
280 --> 208266 - Crash when attributing stars.
281 --> 160193 - Thumbnail labels too long/redundant/cut off.
282 --> 311454 - Icon property shows completely wrong image data.
283 --> 218435 - digiKam segfaults when running 'Rebuild All Thumbnails' after 200 photos.
284 --> 283681 - After re-activating several collections, a huge number of raw pics cannot be opened.
285 --> 296934 - Crash while adding tags.
286 --> 215412 - digiKam crashed while assigning keywords.
287 --> 272828 - Tagging images while tags are currently being written to images causes digikam to hang.
288 --> 234112 - digiKam crashes intermittently when doing lots of picture edits/tagging.
289 --> 260653 - Toggle "Tags already assigned" makes digikam crash.
290 --> 246743 - digiKam hate my image (file truncated to 0 byte after tagging).
291 --> 357810 - digiKam suddenly stops when searching in tags-search mode.
292 --> 144176 - In right-click popup, large amounts of tags run off the screen and cannot be accessed.
293 --> 249300 - Loss of IPTC tag "Country Name" importing pictures.
294 --> 159855 - BUG - while applying tag changes.
295 --> 270158 - Tag assigned to wrong photo.
296 --> 158865 - Adding tags: redundant menu opening necessary.
297 --> 149554 - Incorrect sorting among tags for non-english characters.
298 --> 159919 - Tags hierarchy and parent/son auto-selection.
299 --> 144179 - Tag hierarchy or popups is difficult to follow/understand.
300 --> 309598 - "Recent Tags" menu show existing tags added and shouldn't be.
301 --> 269341 - After removing Album, related tags still reside in taglist.
302 --> 361438 - Dragging thumbnail to Tag produces wrong offer to tag.
303 --> 284287 - THUMBBAR : after item deletion, scroll to the new current image.
304 --> 343683 - Cropping may cause artifacts at image border.
305 --> 365734 - digiKam crashes when clicking on the Table button, new installation.
306 --> 338050 - MYSQL : nested set fields not updating when moving tag within hierarchy [patch].
307 --> 281959 - SCAN : digiKam unresponsive for >1min after startup.
308 --> 320359 - SCAN : digiKam should show which directories are scanned during start-up when adding collections after database deletion.
309 --> 283323 - MYSQL : a new label "_digiKam_root_tag_" is created every time.
310 --> 285683 - Already imported pictures not recognized after daylight savings time.
311 --> 365876 - Adjust date/time menu entry missing (digikam 5).
312 --> 237878 - SCHEMA : add foreign keys support.
313 --> 364883 - Full screen view Mac-OSX menu at top is missing and digikam menu is doubled.
314 --> 365409 - Toolbar + menubar disappeared.
315 --> 365929 - Ctrl+M doesn't show/hide menu bar, only status bar.
316 --> 345045 - MYSQL : images not displayed in album.
317 --> 365907 - digikam timestamp not updated after use of Adjust Time.
318 --> 341112 - BQM Metadata Tool : removing Metadata from Batch Queue Manager modifies files.
319 --> 269337 - SETUP : use idle folder icon if collection is missing.
320 --> 366010 - Main menu bar is not translated (localized).
321 --> 365262 - GUI Theme Colors hard to see: always use Fusion widget style under OSX and Windows.
322 --> 365411 - Tooltips unreadable.
323 --> 365973 - digiKam and program hung for a while then crashed.
324 --> 366124 - Corrected spelling in first run widgets [patch].
325 --> 325655 - MIGRATION : after MySQL to Sqlite database conversion, random tags are assigned to new images.
326 --> 339607 - MYSQL : Images not show if corresponding ImageInformation entry does not exist in database [patch].
327 --> 366219 - Setting up internal mysql database fails [patch].
328 --> 365596 - Deleting Albums and renaming not possible.
329 --> 345649 - Assigning "Rejected" label using Alt+1 shortcut leaves focus on menu.
330 --> 366316 - Adding tag results in duplicate tag error.
331 --> 366348 - WISH: Saving metadata to video files.
332 --> 287081 - F2 renames image, not Album in Thumbnails mode.
333 --> 366361 - createReadWriteLock and createMetadataProcessor should not be pure virtual.
334 --> 366109 - Slideshow freezes on first image (Windows).
335 --> 366391 - Rotating an image seems to forget to reset the orientation flag.
336 --> 366445 - MySQL Schema upgrade from V7 to V8 fails [patch].
337 --> 305517 - digiKam segfaults after choosing Export - Export to Flash.
338 --> 231584 - digiKam crashes when asked to print image.
339 --> 311020 - Print some pages in reverted colors.
340 --> 329899 - Print Assistant (Print Wizard) showing incorrect page sizes.
341 --> 365049 - Export to Piwigo not working - Dialog box not responding.
342 --> 365676 - Improper handling of temporary directory.
343 --> 308783 - No photo attachments when items are shared by e-mail.
344 --> 365571 - Flickr export tool not freeing tmp space.
345 --> 360404 - Imgur authorization not work : Integrate Oauth2 library in core [patch].
346 --> 306207 - Application does not pass .desktop validation.
